Public Member Functions | Package Functions

# BinNavi.API.disassembly.TagManagerListenerAdapter Class Reference

Adapter class for tag managers. More...

Inheritance diagram for BinNavi.API.disassembly.TagManagerListenerAdapter:

List of all members.

## Public Member Functions
void | deletedTag (TagManager manager, Tag tag)
| Signals the deletion of a tag.
void | deletedTagTree (TagManager manager, Tag tag)
| Signals the deletion of a tag and its child tags.
void | insertedTag (TagManager manager, Tag parentTag, Tag tag)
| Signals the insertion of tag.
## Package Functions
void | addedTag (TagManager manager, Tag tag)
| Signals the creation of a new tag.

## Detailed Description

Adapter class that can be used by objects that want to listen on tag managers but only need to process few events.

## Member Function Documentation

void BinNavi.API.disassembly.ITagManagerListener.addedTag | ( | TagManager | manager,
|  | Tag | tag |
| ) |  |  | `[package, inherited]`

Invoked after a tag was added to the tag manager.

Parameters:

  | manager | The tag manager the tag was added to.
  | tag | The tag that was added to the tag manager.

void BinNavi.API.disassembly.ITagManagerListener.deletedTag | ( | TagManager | manager,
|  | Tag | tag |
| ) |  |  | `[inherited]`

Invoked after a tag was deleted from the tag manager.

Parameters:

  | manager | The tag manager the tag was deleted from.
  | tag | The tag that was deleted from the tag manager.

void BinNavi.API.disassembly.ITagManagerListener.deletedTagTree | ( | TagManager | manager,
|  | Tag | tag |
| ) |  |  | `[inherited]`

Invoked after a tag and all of its child tags was deleted from the tag manager.

Parameters:

  | manager | The tag manager the tags were deleted from.
  | tag | The parent tag of the subtree that was deleted from the tag manager.

void BinNavi.API.disassembly.ITagManagerListener.insertedTag | ( | TagManager | manager,
|  | Tag | parentTag,
|  | Tag | tag |
| ) |  |  | `[inherited]`

Invoked after a tag was inserted between existing tags in the tag manager.

Parameters:

  | manager | The tag manager the tag was inserted to.
  | parentTag | The parent tag after which the tag was inserted.
  | tag | The tag that was inserted into the tag manager.